#ifndef AGENT2D_BHV_DEFENDER_MOVE_H
#define AGENT2D_BHV_DEFENDER_MOVE_H

#include <rcsc/geom/vector_2d.h>
#include <rcsc/player/soccer_action.h>
#include <rcsc/player/player_object.h>

class Bhv_DefenderMove
    : public rcsc::SoccerBehavior {
private:
    const rcsc::Vector2D M_home_pos;

public:
    Bhv_DefenderMove( const rcsc::Vector2D & home_pos )
        : M_home_pos( home_pos )
      { }

    bool execute( rcsc::PlayerAgent * agent );

private:
    double getDashPower( const rcsc::PlayerAgent * agent,
                         const rcsc::Vector2D & target_point );

    const rcsc::PlayerObject * getMarkTarget( rcsc::PlayerAgent * agent,
                                              const rcsc::Vector2D & home_pos );
};

#endif
