#ifndef BODY_SAFETY_PASS_H
#define BODY_SAFETY_PASS_H

#include <rcsc/player/soccer_action.h>
#include <rcsc/geom/vector_2d.h>
#include <rcsc/player/player_object.h>

class Body_SafetyPass
    : public rcsc::BodyAction {
private:
    const bool M_one_step;    
    bool checkPass( rcsc::PlayerAgent * agent,
                    const rcsc::PlayerObject * player );

    bool decideKickSpeed( rcsc::PlayerAgent * agent,
                          const rcsc::PlayerObject * player,
                          const double & target_speed,
                          double & speed);

public:

    explicit
    Body_SafetyPass( const bool one_step = false )
        :M_one_step( one_step )
        { }

    bool execute( rcsc::PlayerAgent * agent );

};

#endif
